Package wx :: Class Dialog

[frames | no frames]

## Type Dialog

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
            TopLevelWindow --+
                             |
                            Dialog

Known Subclasses:
  `AboutDialog`, `CalenDlg`, `ColourDialog`, `DirDialog`, `EditStartupScriptDialog`, `FileDialog`, `FilePropertiesDialog`, `FindReplaceDialog`, `FontDialog`, `HtmlHelpDialog`, `ImageDialog`, `MessageDialog`, `MultiChoiceDialog`, `MultipleChoiceDialog`, `NumberEntryDialog`, `OptionsDialog`, `PopupDialog`, `ScrolledMessageDialog`, `Setup`, `SingleChoiceDialog`, `TabNavigatorWindow`, `TextEntryDialog`, `Wizard`

Proxy of C++ Dialog class

Method Summary
Dialog | `__init__(self, parent, id, title, pos, size, style, name)`
bool | ``Create`(self, parent, id, pos, size, style, name)` Create the GUI part of the Window for 2-phase creation mode.
| `CreateButtonSizer(self, flags, *ignored)`
Sizer | `CreateSeparatedButtonSizer(self, flags)`
StdDialogButtonSizer | `CreateStdDialogButtonSizer(self, flags)`
Sizer | `CreateTextSizer(self, message)`
| `EndModal(self, retCode)`
int | `GetAffirmativeId(self)`
VisualAttributes | ``GetClassDefaultAttributes`(variant)` Get the default attributes for this class. (Static method)
int | `GetEscapeId(self)`
int | `GetReturnCode(self)`
bool | `IsModal(self)`
| `SetAffirmativeId(self, affirmativeId)`
| `SetEscapeId(self, escapeId)`
| `SetReturnCode(self, returnCode)`
int | `ShowModal(self)`

Property Summary
| `AffirmativeId`: See `GetAffirmativeId` and `SetAffirmativeId`
| `EscapeId`: See `GetEscapeId` and `SetEscapeId`
| `ReturnCode`: See `GetReturnCode` and `SetReturnCode`
| `thisown`: The membership flag

Class Variable Summary
`int` | `ButtonSizerFlags` = 32926

Instance Method Details

### Create(self, parent, id=-1, title=EmptyString, pos=DefaultPosition, size=DefaultSize, style=DEFAULT_DIALOG_STYLE, name=DialogNameStr)

Create the GUI part of the Window for 2-phase creation mode.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.Window.Create` (inherited documentation)

Static Method Details

### GetClassDefaultAttributes(variant=WINDOW_VARIANT_NORMAL)

Get the default attributes for this class. This is useful if you want to use the same font or colour in your own control as in a standard control -- which is a much better idea than hard coding specific colours or fonts which might look completely out of place on the user's system, especially if it uses themes.

The variant parameter is only relevant under Mac currently and is ignore under other platforms. Under Mac, it will change the size of the returned font. See `wx.Window.SetWindowVariant` for more about this.

  Parameters:
    `variant`
    (type=int)

  Returns:
    VisualAttributes

Property Details

### AffirmativeId

See `GetAffirmativeId` and `SetAffirmativeId`

  Get Method:
    `GetAffirmativeId`(self)
  Set Method:
    `SetAffirmativeId`(self, affirmativeId)

### EscapeId

See `GetEscapeId` and `SetEscapeId`

  Get Method:
    `GetEscapeId`(self)
  Set Method:
    `SetEscapeId`(self, escapeId)

### ReturnCode

See `GetReturnCode` and `SetReturnCode`

  Get Method:
    `GetReturnCode`(self)
  Set Method:
    `SetReturnCode`(self, returnCode)

### thisown

The membership flag

Class Variable Details

### ButtonSizerFlags

  Type:
    `int`
  Value:

        32926

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:47 2007 | http://epydoc.sf.net